name: Bug Report
description: Report a bug in PlanOpticon
title: "[Bug]: "
labels: ["bug", "triage"]
body:
  - type: markdown
    attributes:
      value: |
        Thank you for taking the time to report a bug. Please fill out the fields below so we can diagnose and fix the issue as quickly as possible.

  - type: textarea
    id: description
    attributes:
      label: Description
      description: A clear and concise description of the bug.
      placeholder: Describe the bug...
    validations:
      required: true

  - type: textarea
    id: steps-to-reproduce
    attributes:
      label: Steps to Reproduce
      description: The exact steps to reproduce the behavior.
      placeholder: |
        1. Run `planopticon analyze -i video.mp4 -o ./output`
        2. Wait for frame extraction to complete
        3. Observe error in diagram extraction step
    validations:
      required: true

  - type: textarea
    id: expected-behavior
    attributes:
      label: Expected Behavior
      description: What you expected to happen.
      placeholder: Describe what you expected...
    validations:
      required: true

  - type: textarea
    id: actual-behavior
    attributes:
      label: Actual Behavior
      description: What actually happened.
      placeholder: Describe what actually happened...
    validations:
      required: true

  - type: dropdown
    id: os
    attributes:
      label: Operating System
      options:
        - macOS
        - Linux (Ubuntu/Debian)
        - Linux (Fedora/RHEL)
        - Linux (other)
        - Windows
        - Other
    validations:
      required: true

  - type: dropdown
    id: python-version
    attributes:
      label: Python Version
      options:
        - "3.13"
        - "3.12"
        - "3.11"
        - "3.10"
    validations:
      required: true

  - type: input
    id: planopticon-version
    attributes:
      label: PlanOpticon Version
      description: Run `planopticon --version` or `pip show planopticon` to find this.
      placeholder: "e.g. 0.2.0"
    validations:
      required: true

  - type: dropdown
    id: provider
    attributes:
      label: AI Provider
      description: Which AI provider were you using when the bug occurred?
      options:
        - OpenAI
        - Anthropic
        - Google Gemini
        - Multiple providers
        - Not applicable
    validations:
      required: true

  - type: textarea
    id: logs
    attributes:
      label: Logs
      description: Paste any relevant log output. This will be automatically formatted as code.
      render: shell
    validations:
      required: false
